Package org.pushingpixels.lafwidget.tabbed

# Class TabPagerMouseWheelListener

java.lang.Object
org.pushingpixels.lafwidget.tabbed.TabPagerMouseWheelListener

All Implemented Interfaces:
  `MouseWheelListener`, `EventListener`

public class TabPagerMouseWheelListener extends Object implements MouseWheelListener
Mouse wheel listener for the `TabPagerWidget`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JTabbedPane`
`tabbedPane`
The associated tabbed pane (may be `null`).

## Constructor Summary

Constructors
Constructor
Description
`TabPagerMouseWheelListener()`
Creates a new mouse wheel listener on the currently paged tabbed pane.
`TabPagerMouseWheelListener(JTabbedPane tabbedPane)`
Creates a new mouse wheel listener on the specified tabbed pane.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseWheelMoved(MouseWheelEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tabbedPane

protected JTabbedPane tabbedPane
The associated tabbed pane (may be `null`).

## Constructor Details

### TabPagerMouseWheelListener

public TabPagerMouseWheelListener()
Creates a new mouse wheel listener on the currently paged tabbed pane.

### TabPagerMouseWheelListener

public TabPagerMouseWheelListener(JTabbedPane tabbedPane)
Creates a new mouse wheel listener on the specified tabbed pane.

Parameters:
  `tabbedPane` - Tabbed pane.

## Method Details

### mouseWheelMoved

public void mouseWheelMoved(MouseWheelEvent e)

Specified by:
  `mouseWheelMoved` in interface `MouseWheelListener`